import React from 'react'
import Head from 'next/head'

import styles from './contact.module.css'

const contactMethods = {
  irc: {
    title: 'IRC chat',
    description: 'irc real time chat',
    onClick: () => {
      console.log('IRC')
    },
  },
  email: {
    title: 'E-mail',
    description: 'email',
    onClick: () => {
      console.log('email')
    },
  },
}

export default function Contact() {
  return (
    <div>
      <Head>
        <title>Kapcsolat - Qmining | Frylabs.net</title>
      </Head>
      <div className={styles.contactsContainer}>
        <div>Itt vannak hogy hogy lehet kontaktolni</div>
        {Object.keys(contactMethods).map((key) => {
          const { onClick, title, description } = contactMethods[key]
          return (
            <div key={key} onClick={onClick}>
              <div>{title}</div>
              <div>{description}</div>
            </div>
          )
        })}
      </div>
    </div>
  )
}
